You are here

Updating old MeshChat to new (LUA) MeshChat

2 posts / 0 new
Last post
KS1O
Updating old MeshChat to new (LUA) MeshChat

I have a Raspberry Pi that is running MechChat. I have updated the node to the new LUA nightly with the new LUA MeshChat plugin.
(1) Do I need to uninstall the old MeshChat or will the new LUA MeshChat overwrite the old program?
(2) What command beyond "git clone https://github.com/kn6plv/meshchat.git" will I need to install the new LUA MeshChat?

AB7PA
Only need to update meshchat-api package on your node

If you are running MeshChat on a Raspberry Pi  then you have two devices that coordinate their efforts.

  1. With the normal Perl version of MeshChat on your Raspberry Pi, you do not need to do any additional updates on the Rpi.  The legacy version of MeshChat will ask your node for the list of other nodes having the same Zone Name and it will continue to work just fine.  No updates are needed or possible on the Raspberry Pi.
  2. It sounds like you have already downloaded and installed the new Lua version of the MeshChat API on your node.  That is all you need to do on the node.  The Rpi will query your node for the list of other nodes having the same MeshChat Zone Name, and the new Lua meshchat-api package will provide that list to your Rpi.  You do not need to clone the MeshChat repository -- all you need to do it download the package (ipk) from the github site and install it on your node.

Theme by Danetsoft and Danang Probo Sayekti inspired by Maksimer